Agora Java API Reference for Android

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
io.agora.rtc2.video.FaceShapeAreaOptions Class Reference

Defines the options for adjusting different areas of the face in beauty effects. More...

## Public Member Functions
| FaceShapeAreaOptions (int area, int intensity)

## Public Attributes
int | shapeArea
int | shapeIntensity

## Static Public Attributes
static final int | FACE_SHAPE_AREA_NONE = -1
static final int | FACE_SHAPE_AREA_HEADSCALE = 100
static final int | FACE_SHAPE_AREA_FOREHEAD = 101
static final int | FACE_SHAPE_AREA_FACECONTOUR = 102
static final int | FACE_SHAPE_AREA_FACELENGTH = 103
static final int | FACE_SHAPE_AREA_FACEWIDTH = 104
static final int | FACE_SHAPE_AREA_CHEEKBONE = 105
static final int | FACE_SHAPE_AREA_CHEEK = 106
static final int | FACE_SHAPE_AREA_MANDIBLE = 107
static final int | FACE_SHAPE_AREA_CHIN = 108
static final int | FACE_SHAPE_AREA_EYESCALE = 200
static final int | FACE_SHAPE_AREA_EYEDISTANCE = 201
static final int | FACE_SHAPE_AREA_EYEPOSITION = 202
static final int | FACE_SHAPE_AREA_EYELID = 203
static final int | FACE_SHAPE_AREA_EYEPUPILS = 204
static final int | FACE_SHAPE_AREA_EYEINNERCORNER = 205
static final int | FACE_SHAPE_AREA_EYEOUTERCORNER = 206
static final int | FACE_SHAPE_AREA_NOSELENGTH = 300
static final int | FACE_SHAPE_AREA_NOSEWIDTH = 301
static final int | FACE_SHAPE_AREA_NOSEWING = 302
static final int | FACE_SHAPE_AREA_NOSEROOT = 303
static final int | FACE_SHAPE_AREA_NOSEBRIDGE = 304
static final int | FACE_SHAPE_AREA_NOSETIP = 305
static final int | FACE_SHAPE_AREA_NOSEGENERAL = 306
static final int | FACE_SHAPE_AREA_MOUTHSCALE = 400
static final int | FACE_SHAPE_AREA_MOUTHPOSITION = 401
static final int | FACE_SHAPE_AREA_MOUTHSMILE = 402
static final int | FACE_SHAPE_AREA_MOUTHLIP = 403
static final int | FACE_SHAPE_AREA_EYEBROWPOSITION = 500
static final int | FACE_SHAPE_AREA_EYEBROWTHICKNESS = 501

## Detailed Description

Defines the options for adjusting different areas of the face in beauty effects.

Since
  v4.4.0

## Constructor & Destructor Documentation

## ◆ FaceShapeAreaOptions()

io.agora.rtc2.video.FaceShapeAreaOptions.FaceShapeAreaOptions | ( | int | area,
|  | int | intensity
| ) |  |

The face shape area options.

Parameters

  area | The specific facial area to be adjusted, used with {shapeArea}: {FACE_SHAPE_AREA_NONE(-1)}: (default) invalid area. {FACE_SHAPE_AREA_HEADSCALE(0)}: Head Scale. {FACE_SHAPE_AREA_FOREHEAD(1)}: Forehead. FACE_SHAPE_AREA_FACECONTOUR(2): Face Contour. {FACE_SHAPE_AREA_FACELENGTH(3)}: Face Length. {FACE_SHAPE_AREA_FACEWIDTH(4)}: Face Width. {FACE_SHAPE_AREA_CHEEKBONE(5)}: Cheekbone. {FACE_SHAPE_AREA_CHEEK(6)}: Cheek. FACE_SHAPE_AREA_CHIN(7): Chin. {FACE_SHAPE_AREA_EYESCALE(8)}: Eye Scale. FACE_SHAPE_AREA_NOSELENGTH(9): Nose Length. {FACE_SHAPE_AREA_NOSEWIDTH(10)}: Nose Width. {FACE_SHAPE_AREA_MOUTHSCALE(11)}: Mouth Scale.
  intensity | The intensity of the pinching effect applied to the specified facial area. For the following area values: FACE_SHAPE_AREA_FOREHEAD, FACE_SHAPE_AREA_FACELENGTH, FACE_SHAPE_AREA_CHIN, FACE_SHAPE_AREA_NOSELENGTH, FACE_SHAPE_AREA_NOSEWIDTH, FACE_SHAPE_AREA_MOUTHSCALE, the value ranges from -100 to 100. The default value is 0. The greater the absolute value, the stronger the intensity applied to the specified facial area, and negative values indicate the opposite direction. For enumeration values other than the above, the value ranges from 0 to 100. The default value is 0. The greater the value, the stronger the intensity applied to the specified facial area.

## Member Data Documentation

## ◆ FACE_SHAPE_AREA_NONE

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_NONE = -1
| static

-1: (Default) Invalid area.

## ◆ FACE_SHAPE_AREA_HEADSCALE

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_HEADSCALE = 100
| static

100: Head Scale, reduces the size of the head. The value range is [0, 100]. The default value is 50. The larger the value, the stronger the head reduction effect.

## ◆ FACE_SHAPE_AREA_FOREHEAD

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_FOREHEAD = 101
| static

101: Forehead, adjusts the size of the forehead. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the forehead effect.

## ◆ FACE_SHAPE_AREA_FACECONTOUR

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_FACECONTOUR = 102
| static

102: Face Contour, slims the facial contour. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the facial contour reduction effect.

## ◆ FACE_SHAPE_AREA_FACELENGTH

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_FACELENGTH = 103
| static

103: Face Length, adjusts the length of the face. The value range is [-100, 100]. The default value is 0. The larger the absolute value, the stronger the face length effect, negative values indicate the opposite direction.

## ◆ FACE_SHAPE_AREA_FACEWIDTH

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_FACEWIDTH = 104
| static

104: Face Width, narrows the width of the face. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the face width reduction effect.

## ◆ FACE_SHAPE_AREA_CHEEKBONE

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_CHEEKBONE = 105
| static

105: Cheekbone, adjusts the size of the cheekbone. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the cheekbone effect.

## ◆ FACE_SHAPE_AREA_CHEEK

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_CHEEK = 106
| static

106: Cheek, adjusts the size of the cheek. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the cheek effect.

## ◆ FACE_SHAPE_AREA_MANDIBLE

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_MANDIBLE = 107
| static

107: Mandible, slims the mandible. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the mandible effect.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_CHIN

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_CHIN = 108
| static

108: Chin, adjusts the length of the chin. The value range is [-100, 100]. The default value is 0. The larger the absolute value, the stronger the chin effect, negative values indicate the opposite direction.

## ◆ FACE_SHAPE_AREA_EYESCALE

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_EYESCALE = 200
| static

200: Eye Scale, adjusts the size of the eyes. The value range is [0, 100]. The default value is 50. The larger the value, the stronger the eye size effect.

## ◆ FACE_SHAPE_AREA_EYEDISTANCE

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_EYEDISTANCE = 201
| static

201: Eye Distance, adjusts the distance between the two eyes. The value range is [-100, 100]. The default value is 0. The larger the absolute value, the stronger the eye distance effect, negative values indicate the opposite direction.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_EYEPOSITION

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_EYEPOSITION = 202
| static

202: Eye Position, adjusts the upper and lower position of the eyes. The value range is [-100, 100]. The default value is 0. The larger the absolute value, the stronger the eye position effect, negative values indicate the opposite direction.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_EYELID

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_EYELID = 203
| static

203: Lower Eyelid, adjusts the downward position of the eyelids. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the lower eyelid effect.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_EYEPUPILS

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_EYEPUPILS = 204
| static

204: Eye Pupils, adjusts the size of the eye pupils. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the eye pupils effect.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_EYEINNERCORNER

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_EYEINNERCORNER = 205
| static

205: Eye Inner Corner, adjusts the inner corner of the eyes. The value range is [-100, 100]. The default value is 0. The larger the absolute value, the stronger the eye inner corner effect, negative values indicate the opposite direction.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_EYEOUTERCORNER

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_EYEOUTERCORNER = 206
| static

206: Eye Outer Corner, adjusts the outer corner of the eyes. The value range is [-100, 100]. The default value is 0. The larger the absolute value, the stronger the eye outer corner effect, negative values indicate the opposite direction.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_NOSELENGTH

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_NOSELENGTH = 300
| static

300: Nose Length, adjusts the length of the nose. The value range is [-100, 100]. The default value is 0.

## ◆ FACE_SHAPE_AREA_NOSEWIDTH

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_NOSEWIDTH = 301
| static

301: Nose Width, adjusts the width of the nose. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the nose width effect.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_NOSEWING

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_NOSEWING = 302
| static

302: Nose Wing, adjusts the size of the nose wing. The value range is [0, 100]. The default value is 10. The larger the value, the stronger the nose wing effect.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_NOSEROOT

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_NOSEROOT = 303
| static

303: Nose Root, adjusts the size of the nose root. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the nose root effect.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_NOSEBRIDGE

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_NOSEBRIDGE = 304
| static

304: Nose Bridge, adjusts the size of the nose bridge. The value range is [0, 100]. The default value is 50. The larger the value, the stronger the nose bridge effect.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_NOSETIP

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_NOSETIP = 305
| static

305: Nose Tip, adjusts the size of the nose tip. The value range is [0, 100]. The default value is 50. The larger the value, the stronger the nose tip effect.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_NOSEGENERAL

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_NOSEGENERAL = 306
| static

306: Nose General, adjusts the overall size of the nose. The value range is [-100, 100]. The default value is 50. The larger the absolute value, the stronger the nose general effect, negative values indicate the opposite direction.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_MOUTHSCALE

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_MOUTHSCALE = 400
| static

400: Mouth Scale, adjusts the size of the mouth. The value range is [-100, 100]. The default value is 20. The larger the absolute value, the stronger the mouth size effect, negative values indicate the opposite direction.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_MOUTHPOSITION

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_MOUTHPOSITION = 401
| static

401: Mouth Position, adjusts the position of the mouth. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the mouth position effect.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_MOUTHSMILE

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_MOUTHSMILE = 402
| static

402: Mouth Smile, adjusts the smile degree of the mouth. The value range is [0, 100]. The default value is 30. The larger the value, the stronger the mouth smile effect.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_MOUTHLIP

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_MOUTHLIP = 403
| static

403: Mouth Lip, adjusts the size of the lips. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the mouth lip effect.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_EYEBROWPOSITION

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_EYEBROWPOSITION = 500
| static

500: Eyebrow Position, adjusts the position of the eyebrows. The value range is [-100, 100]. The default value is 0. The larger the absolute value, the stronger the eyebrow position effect, negative values indicate the opposite direction.

Since
  v4.6.0

## ◆ FACE_SHAPE_AREA_EYEBROWTHICKNESS

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_EYEBROWTHICKNESS = 501
| static

501: Eyebrow Thickness, adjusts the thickness of the eyebrows. The value range is [-100, 100]. The default value is 0. The larger the value, the stronger the eyebrow thickness effect.

Since
  v4.6.0

## ◆ shapeArea

int io.agora.rtc2.video.FaceShapeAreaOptions.shapeArea

The specific facial area to be adjusted, used with {shapeArea}: {FACE_SHAPE_AREA_NONE(-1)}: (default) invalid area. {FACE_SHAPE_AREA_HEADSCALE(0)}: Head Scale. {FACE_SHAPE_AREA_FOREHEAD(1)}: Forehead. FACE_SHAPE_AREA_FACECONTOUR(2): Face Contour. {FACE_SHAPE_AREA_FACELENGTH(3)}: Face Length. {FACE_SHAPE_AREA_FACEWIDTH(4)}: Face Width. {FACE_SHAPE_AREA_CHEEKBONE(5)}: Cheekbone. {FACE_SHAPE_AREA_CHEEK(6)}: Cheek. FACE_SHAPE_AREA_CHIN(7): Chin. {FACE_SHAPE_AREA_EYESCALE(8)}: Eye Scale. FACE_SHAPE_AREA_NOSELENGTH(9): Nose Length. {FACE_SHAPE_AREA_NOSEWIDTH(10)}: Nose Width. {FACE_SHAPE_AREA_MOUTHSCALE(11)}: Mouth Scale.

## ◆ shapeIntensity

int io.agora.rtc2.video.FaceShapeAreaOptions.shapeIntensity

The intensity of the pinching effect applied to the specified facial area.